Bug 251231 - xm create does not correctly honor the -q flag
Summary: xm create does not correctly honor the -q flag
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Michal Novotny
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-07 20:55 UTC by daniel miles
Modified: 2014-02-02 22:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 16:43:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description daniel miles 2007-08-07 20:55:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20061201 Firefox/2.0.0.3 (Ubuntu-feisty)

Description of problem:
xm create -q should print nothing

Version-Release number of selected component (if applicable):
xen-3.0.3-25.el5

How reproducible:
Always


Steps to Reproduce:
1. Type xm create -q /full/path/to/vm/config/file

Actual Results:
It prints:
Going to boot Red Hat Enterprise Linux Server (2.6.18-8.el5xen)
  kernel: /vmlinuz-2.6.18-8.el5xen
  initrd: /initrd-2.6.18-8.el5xen.img

Expected Results:


Additional info:
It should print nothing

Comment 2 Michal Novotny 2009-02-11 16:43:01 UTC
I tried it on xen-3.0.3-80 and it seems not to be here at all. I tried it via the command line stated here (xm create -q /etc/xen/RHEL5-64bit) and no output happened but machine started well when looking at the console by "xm console RHEL5-64bit" so no problem here. If somebody discover it even in 3.0.3-80 please reopen this bug...

Thanks,
Michal


Note You need to log in before you can comment on or make changes to this bug.